Skip to main content
POST
/
webhooks
Register webhook endpoint
curl --request POST \
  --url https://api.woopsocial.com/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "eventTypes": [
    "socialAccountPost.delivery.published"
  ]
}
'
{
  "id": "<string>",
  "url": "<string>",
  "eventTypes": [
    "socialAccountPost.delivery.published"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "signingSecret": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string
required

The HTTPS URL to POST webhook events to.

eventTypes
enum<string>[]
required
Minimum array length: 1
Available options:
socialAccountPost.delivery.published,
socialAccountPost.delivery.failed

Response

Webhook endpoint registered.

id
string
required

Webhook endpoint identifier (int64 as string).

url
string
required
eventTypes
enum<string>[]
required
Available options:
socialAccountPost.delivery.published,
socialAccountPost.delivery.failed
createdAt
string<date-time>
required
signingSecret
string

Base64-encoded 32-byte signing secret. Returned once on creation only.